Bug 99143 - gtk-doc-1.1-1.src.rpm needs docbook-style-xsl as prereq
Summary: gtk-doc-1.1-1.src.rpm needs docbook-style-xsl as prereq
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: gtk-doc   
(Show other bugs)
Version: 1.0
Hardware: i586
OS: Linux
medium
low
Target Milestone: ---
Assignee: Owen Taylor
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-07-14 23:46 UTC by Ken MacFarlane
Modified: 2007-04-18 16:55 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-25 05:12:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ken MacFarlane 2003-07-14 23:46:45 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:1.2.1) Gecko/20030315

Description of problem:
rpmbuild --rebuild gtk-doc-1.1-1.src.rpm fails if docbook-style-xsl is not
installed.  Once installed, rpmbuild completes successfully.

Version-Release number of selected component (if applicable):
gtk-doc-1.1-1

How reproducible:
Always

Steps to Reproduce:
1. rpm -e docbook-style-xsl
2. rpmbuild --rebuild gtk-doc-1.1-1.src.rpm

    

Actual Results:  checking for DocBook XML DTD V4.1.2 in XML catalog... found
checking for DocBook XSL Stylesheets in XML catalog... not found
configure: error: could not find DocBook XSL Stylesheets in XML catalog
error: Bad exit status from /var/tmp/rpm-tmp.61348 (%build)


Expected Results:  error: Failed build dependencies:
        docbook-style-xsl is needed by gtk-doc-1.1-1

Additional info:

Comment 1 Bill Nottingham 2003-07-25 05:12:16 UTC
Added, will be in next build.

Comment 2 Owen Taylor 2003-08-28 20:42:36 UTC
Actually, Requires: was needed for these packages as well ... the configure
script is checking to see if they are there to make sure they are there
when gtk-doc is used.

* Thu Aug 28 2003 Owen Taylor <otaylor@redhat.com> 1.1-3.0
- Move gtk-doc.pc file to %{_datadir}/pkgconfig (#98595)
- Require: /usr/bin/cmp (#88763, Thomas Vander Stichele)
- Added libxslt docbook-style-xsl to Require: and BuildPrereq
  (#99143, Ken MacFarlane)


Comment 3 sangu 2003-09-15 10:42:42 UTC
Is it right  "/usr/lib/pkgconfig" than "/usr/share/pkgconfig" ?

Comment 4 Owen Taylor 2003-09-15 11:58:09 UTC
Please be more explicit - I don't know what that last comment means.
(Is bug 98595 what you are talking about?)


Note You need to log in before you can comment on or make changes to this bug.